<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:rvctc3.02.21="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.21.data" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="PR201505Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/><xsl:key name="RPPAR_facts" match="xbrli:xbrl/*[@contextRef=$RPPAR.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPPAR')"/><xsl:key name="RPPREV_facts" match="xbrli:xbrl/*[@contextRef=$RPPREV.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPPREV')"/><xsl:key name="APP_facts" match="xbrli:xbrl/*[@contextRef=$APP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'APP')"/><xsl:key name="APPPAR_facts" match="xbrli:xbrl/*[@contextRef=$APPPAR.ContextId and not(@i:nil='true')]" use="concat(local-name(),'APPPAR')"/><xsl:key name="INTTAC_facts" match="xbrli:xbrl/*[@contextRef=$INTTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INTTAC')"/><xsl:key name="RPTAC_facts" match="xbrli:xbrl/*[@contextRef=$RPTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPTAC')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M49"/><xsl:apply-templates select="/" mode="M50"/><xsl:apply-templates select="/" mode="M51"/><xsl:apply-templates select="/" mode="M52"/><xsl:apply-templates select="/" mode="M53"/><xsl:apply-templates select="/" mode="M54"/><xsl:apply-templates select="/" mode="M55"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the PR services.-->
<xsl:variable name="RP.Context" select="//xbrli:xbrl/xbrli:context[                                               not(@i:nil='true')                                                and                                                xbrli:entity/xbrli:segment                                               [                                                   count(xbrldi:explicitMember) = 1                                                    and                                                   count(xbrldi:typedMember) = 0                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                       ]                                                  ]                                           ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RPPAR.Context" select="//xbrli:xbrl/xbrli:context[                                               not(@i:nil='true')                                                and                                                xbrli:entity/xbrli:segment                                               [                                                   count(xbrldi:explicitMember) = 2                                                    and                                                   count(xbrldi:typedMember) = 0                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                       ]                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:SecondaryPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ParentEntity$')                                                       ]                                                  ]                                           ]"/><xsl:variable name="RPPAR.ContextId" select="$RPPAR.Context/@id"/><xsl:variable name="RPPREV.Context" select="//xbrli:xbrl/xbrli:context[                                               not(@i:nil='true')                                                and                                                xbrli:entity/xbrli:segment                                               [                                                   count(xbrldi:explicitMember) = 2                                                    and                                                   count(xbrldi:typedMember) = 0                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                       ]                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^DataCurr\.\d{2}\.\d{2}:DataCurrencyDimension$')                                                     and                                                      matches(.,'^DataCurr\.\d{2}\.\d{2}:Previous$')                                                       ]                                                  ]                                           ]"/><xsl:variable name="RPPREV.ContextId" select="$RPPREV.Context/@id"/><xsl:variable name="APP.Context" select="//xbrli:xbrl/xbrli:context[                                               not(@i:nil='true')                                                and                                                xbrli:entity/xbrli:segment                                               [                                                   count(xbrldi:explicitMember) = 1                                                   and                                                   count(xbrldi:typedMember) = 0                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:Applicant$')                                                       ]                                                  ]                                           ]"/><xsl:variable name="APP.ContextId" select="$APP.Context/@id"/><xsl:variable name="APPPAR.Context" select="//xbrli:xbrl/xbrli:context[                                               not(@i:nil='true')                                                and                                                xbrli:entity/xbrli:segment                                               [                                                   count(xbrldi:explicitMember) = 2                                                    and                                                   count(xbrldi:typedMember) = 0                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:Applicant$')                                                       ]                                                    and                                                   xbrldi:explicitMember                                                   [                                                      matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:SecondaryPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ParentEntity$')                                                       ]                                                  ]                                           ]"/><xsl:variable name="APPPAR.ContextId" select="$APPPAR.Context/@id"/><xsl:variable name="RPTAC.Context" select="xbrli:xbrl/xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="RPTAC.ContextId" select="$RPTAC.Context/@id"/><xsl:variable name="INTTAC.Context" select="xbrli:xbrl/xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="INTTAC.ContextId" select="$INTTAC.Context/@id"/><xsl:variable name="pr5rp" select="key('RP_facts', 'GoodsAndServicesTax.Registered.IndicatorRP')"/><xsl:variable name="pr8" select="key('RP_facts', 'Interaction.AdditionalEntities.IndicatorRP')"/><xsl:variable name="pr9" select="key('RP_facts', 'PersonNameDetails.Title.TextRP')"/><xsl:variable name="pr10" select="key('RP_facts', 'PersonNameDetails.FamilyName.TextRP')"/><xsl:variable name="pr11" select="key('RP_facts', 'PersonNameDetails.GivenName.TextRP')"/><xsl:variable name="pr12" select="key('RP_facts', 'OrganisationNameDetails.OrganisationalName.TextRP')"/><xsl:variable name="pr13" select="key('RP_facts', 'AddressDetails.Line1.TextRP')"/><xsl:variable name="pr14" select="key('RP_facts', 'AddressDetails.Line2.TextRP')"/><xsl:variable name="pr15" select="key('RP_facts', 'AddressDetails.LocalityName.TextRP')"/><xsl:variable name="pr16" select="key('RP_facts', 'AddressDetails.StateOrTerritory.CodeRP')"/><xsl:variable name="pr17" select="key('RP_facts', 'AddressDetails.Postcode.TextRP')"/><xsl:variable name="pr18" select="key('RP_facts', 'ElectronicContact.Telephone.Area.CodeRP')"/><xsl:variable name="pr19" select="key('RP_facts', 'ElectronicContact.Telephone.Minimal.NumberRP')"/><xsl:variable name="pr20" select="key('RP_facts', 'Tax.PrivateRulingMainSubject.CodeRP')"/><xsl:variable name="pr21" select="key('RP_facts', 'Tax.PrivateRulingIssues.DescriptionRP')"/><xsl:variable name="pr38" select="key('RP_facts', 'ElectronicContact.ElectronicMail.Address.TextRP')"/><xsl:variable name="pr22" select="key('RP_facts', 'Tax.PrivateRulingFacts.DescriptionRP')"/><xsl:variable name="pr23" select="key('RP_facts', 'Tax.PrivateRulingArguments.DescriptionRP')"/><xsl:variable name="pr25" select="key('RP_facts', 'Tax.AuditRaised.IndicatorRP')"/><xsl:variable name="pr26" select="key('RP_facts', 'Tax.Audit.IdentifierRP')"/><xsl:variable name="pr29" select="key('RP_facts', 'Tax.PrivateRulingArrangementPeriodStart.DateRP')"/><xsl:variable name="pr30" select="key('RP_facts', 'Tax.PrivateRulingArrangementPeriodEnd.DateRP')"/><xsl:variable name="pr31" select="key('RP_facts', 'Tax.PrivateRulingPeriodEvent.DescriptionRP')"/><xsl:variable name="pr32" select="key('RP_facts', 'Tax.PrivateRulingArrangementSeriousConsideration.IndicatorRP')"/><xsl:variable name="pr39" select="key('RP_facts', 'AddressDetails.Country.CodeRP')"/><xsl:variable name="pr40" select="key('RP_facts', 'PersonNameDetails.Position.TextRP')"/><xsl:variable name="pr41" select="key('RP_facts', 'ElectronicContact.Telephone.Mobile.NumberRP')"/><xsl:variable name="pr53rp" select="key('RP_facts', 'Identifiers.AustralianBusinessNumber.IdentifierRP')"/><xsl:variable name="pr54rp" select="key('RP_facts', 'OrganisationDetails.OrganisationBranch.CodeRP')"/><xsl:variable name="pr27" select="key('RPPREV_facts', 'Tax.PrivateRulingSoughtPreviously.IndicatorRPPREV')"/><xsl:variable name="pr28" select="key('RPPREV_facts', 'Tax.PrivateRulingNumber.IdentifierRPPREV')"/><xsl:variable name="pr36rppar" select="key('RPPAR_facts', 'Identifiers.AustralianBusinessNumber.IdentifierRPPAR')"/><xsl:variable name="pr37rppar" select="key('RPPAR_facts', 'OrganisationDetails.OrganisationBranch.CodeRPPAR')"/><xsl:variable name="pr5app" select="key('APP_facts', 'GoodsAndServicesTax.Registered.IndicatorAPP')"/><xsl:variable name="pr53app" select="key('APP_facts', 'Identifiers.AustralianBusinessNumber.IdentifierAPP')"/><xsl:variable name="pr54app" select="key('APP_facts', 'OrganisationDetails.OrganisationBranch.CodeAPP')"/><xsl:variable name="pr36apppar" select="key('APPPAR_facts', 'Identifiers.AustralianBusinessNumber.IdentifierAPPPAR')"/><xsl:variable name="pr37apppar" select="key('APPPAR_facts', 'OrganisationDetails.OrganisationBranch.CodeAPPPAR')"/><xsl:variable name="pr43inttac" select="key('INTTAC_facts', 'Identifiers.TaxAgentNumber.IdentifierINTTAC')"/><xsl:variable name="pr44inttac" select="key('INTTAC_facts', 'PersonUnstructuredName.FullName.TextINTTAC')"/><xsl:variable name="pr45inttac" select="key('INTTAC_facts', 'ElectronicContact.Telephone.Area.CodeINTTAC')"/><xsl:variable name="pr46inttac" select="key('INTTAC_facts', 'ElectronicContact.Telephone.Minimal.NumberINTTAC')"/><xsl:variable name="pr47inttac" select="key('INTTAC_facts', 'Declaration.Signature.DateINTTAC')"/><xsl:variable name="pr48inttac" select="key('INTTAC_facts', 'Declaration.StatementAccepted.IndicatorINTTAC')"/><xsl:variable name="pr50inttac" select="key('INTTAC_facts', 'Declaration.SignatoryIdentifier.TextINTTAC')"/><xsl:variable name="pr51inttac" select="key('INTTAC_facts', 'PersonNameDetails.Position.TextINTTAC')"/><xsl:variable name="pr52inttac" select="key('INTTAC_facts', 'Identifiers.TaxAgentClientReference.TextINTTAC')"/><xsl:variable name="pr43rptac" select="key('RPTAC_facts', 'Identifiers.TaxAgentNumber.IdentifierRPTAC')"/><xsl:variable name="pr44rptac" select="key('RPTAC_facts', 'PersonUnstructuredName.FullName.TextRPTAC')"/><xsl:variable name="pr45rptac" select="key('RPTAC_facts', 'ElectronicContact.Telephone.Area.CodeRPTAC')"/><xsl:variable name="pr46rptac" select="key('RPTAC_facts', 'ElectronicContact.Telephone.Minimal.NumberRPTAC')"/><xsl:variable name="pr47rptac" select="key('RPTAC_facts', 'Declaration.Signature.DateRPTAC')"/><xsl:variable name="pr48rptac" select="key('RPTAC_facts', 'Declaration.StatementAccepted.IndicatorRPTAC')"/><xsl:variable name="pr50rptac" select="key('RPTAC_facts', 'Declaration.SignatoryIdentifier.TextRPTAC')"/><xsl:variable name="pr51rptac" select="key('RPTAC_facts', 'PersonNameDetails.Position.TextRPTAC')"/><xsl:variable name="pr52rptac" select="key('RPTAC_facts', 'Identifiers.TaxAgentClientReference.TextRPTAC')"/><xsl:template match="text()" priority="-1" mode="M49"/><xsl:template match="@*|node()" priority="-2" mode="M49"><xsl:apply-templates select="*" mode="M49"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the PR services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1004" mode="M50"><xsl:variable name="RPScheme" select="$RP.Context/xbrli:entity/xbrli:identifier/@scheme"/><xsl:variable name="RPIdentifier" select="$RP.Context/xbrli:entity/xbrli:identifier"/><xsl:variable name="APPScheme" select="$APP.Context/xbrli:entity/xbrli:identifier/@scheme"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPScheme = 'http://www.abr.gov.au/abn'                         and                         not($RP.Context/xbrli:entity/xbrli:identifier[function:ValidateABN(.)])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000065</isns:Code><isns:Description>Reporting Party ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RP.Context/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             and                             not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                             and                             not(matches(@scheme,'^http://www.ato.gov.au/arn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000083</isns:Code><isns:Description>Entity identifier scheme for Reporting Party invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>Entity identifier scheme for Reporting Party must be either "http://www.abr.gov.au/abn", "http://www.ato.gov.au/tfn" or "http://www.ato.gov.au/arn"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RP.Context                         [                             xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/tfn'                             and                             not(function:ValidateTFN(xbrli:entity/xbrli:identifier))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500009</isns:Code><isns:Description>Reporting Party Tax File Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RPPREV.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000108</isns:Code><isns:Description>Invalid context. The number of Reporting Party Previous Ruling contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $APP.Context/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             and                             not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                             and                             not(matches(@scheme,'^http://www.ato.gov.au/arn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000112</isns:Code><isns:Description>Entity identifier scheme for Applicant invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>Entity identifier scheme for Applicant must be either "http://www.abr.gov.au/abn", "http://www.ato.gov.au/tfn" or "http://www.ato.gov.au/arn"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           (                             not($INTTAC.Context)                             and                             $pr43rptac[not(@i:nil='true') and string-length(.) != 0]                           )                           or                           (                             $INTTAC.Context                             and                             $pr43inttac[not(@i:nil='true') and string-length(.) != 0]                           )                         )                         and                         count($APP.Context) &gt; 9                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000113</isns:Code><isns:Description>Invalid context. The number of Applicant contexts must not exceed 9.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPScheme = 'http://www.ato.gov.au/arn'                         and                         $RPIdentifier[string-length(.) &gt; 12]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000116</isns:Code><isns:Description>ATO Registered Number not exceed 12 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>For ATO Registered Number, the maximum allowable length for this form is 12 characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPScheme = 'http://www.ato.gov.au/arn'                         and                         $RPIdentifier[not(matches(.,'^[0-9]+$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000117</isns:Code><isns:Description>ATO Registered Number must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>ATO Registered Number must be a numeric field, values nnnnnnnnnnnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $APP.Context/xbrli:entity/xbrli:identifier                         [                           matches(@scheme,'^http://www.abr.gov.au/abn$')                           and                           not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000126</isns:Code><isns:Description>Applicant ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $INTTAC.Context/xbrli:entity/xbrli:identifier                         [                           not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000178</isns:Code><isns:Description>Intermediary declarer Australian Business Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RPPAR.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000202</isns:Code><isns:Description>Invalid context. The number of Reporting Party Parent contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $APP.Context/xbrli:entity/xbrli:identifier                         [                           matches(@scheme,'^http://www.ato.gov.au/tfn$')                           and                           not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000212</isns:Code><isns:Description>Applicant Tax File Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $APP.Context                         [                             xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/arn'                             and                             not(matches(xbrli:entity/xbrli:identifier,'^[0-9]+$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000214</isns:Code><isns:Description>ATO Registered Number must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>ATO Registered Number must be a numeric field, values nnnnnnnnnnnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $APP.Context                         [                             xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/arn'                             and                             string-length(xbrli:entity/xbrli:identifier) &gt; 12                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000215</isns:Code><isns:Description>ATO Registered Number not exceed 12 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>For ATO Registered Number, the maximum allowable length for this form is 12 characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($APP.Context) &gt; 0                         and                         not($pr8[matches(.,'^(true|1)$')])                         and                         (                           (                             not($INTTAC.Context)                             and                             not($pr43rptac[not(@i:nil='true') and string-length(.) != 0])                           )                           or                           (                             $INTTAC.Context                             and                             not($pr43inttac[not(@i:nil='true') and string-length(.) != 0])                           )                         )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000218</isns:Code><isns:Description>Invalid context. The number of Applicant contexts must be 0 for non-Tax Practitioners.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><isns:LongDescription>Additional clients for private rulings may only be provided when the request is submitted via a Tax Practitioner with a valid Declarer Registered Agent Number</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr8[matches(.,'^(true|1)$')]                         and                         (                           (                             not($INTTAC.Context)                             and                             not($pr43rptac[not(@i:nil='true') and string-length(.) != 0])                           )                           or                           (                             $INTTAC.Context                             and                             not($pr43inttac[not(@i:nil='true') and string-length(.) != 0])                           )                         )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000219</isns:Code><isns:Description>Additional Clients Indicator must not be set for non-Tax Practitioners</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><isns:LongDescription>Additional clients for private rulings may only be provided when the request is submitted via a Tax Practitioner with a valid Declarer Registered Agent Number</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr8[matches(.,'^(true|1)$')]                         and                         count($APP.Context) = 9                         and                         (                           (                             not($INTTAC.Context)                             and                             $pr43rptac[not(@i:nil='true') and string-length(.) != 0]                           )                           or                           (                             $INTTAC.Context                             and                             $pr43inttac[not(@i:nil='true') and string-length(.) != 0]                           )                         )                         and                         (                           not($BinaryAttachmentCount)                           or                           number($BinaryAttachmentCount) = 0                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000220</isns:Code><isns:Description>Attachments containing additional client details must be submitted with the request</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.25:Interaction.AdditionalEntities.Indicator</xsl:text></Location><isns:LongDescription>When Additional Clients Indicator is set to 'Yes' (true), attachments containing the additional client details must be submitted with the request</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RPTAC.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500046</isns:Code><isns:Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($INTTAC.Context) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500047</isns:Code><isns:Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $INTTAC.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500051</isns:Code><isns:Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1003" mode="M50"><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500030</isns:Code><isns:Description>Invalid context. Period start date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500033</isns:Code><isns:Description>Invalid context. Period end date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]/xbrli:startDate" priority="1002" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500035</isns:Code><isns:Description>Invalid context. Period start date cannot be any day in the future.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')]" priority="1001" mode="M50"><xsl:variable name="RPScheme" select="$RP.Context/xbrli:entity/xbrli:identifier/@scheme"/><xsl:variable name="RPIdentifier" select="$RP.Context/xbrli:entity/xbrli:identifier"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPScheme = 'http://www.ato.gov.au/tfn'                         and                         ../../xbrli:identifier/@scheme[. = $RPScheme]                         and                         ../../xbrli:identifier[. != $RPIdentifier]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000078</isns:Code><isns:Description>Reporting party TFN's mismatch</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>All reporting party TFN's must be identical</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPScheme = 'http://www.ato.gov.au/arn'                         and                         ../../xbrli:identifier/@scheme[. = $RPScheme]                         and                         ../../xbrli:identifier[. != $RPIdentifier]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000201</isns:Code><isns:Description>Reporting party ARN's mismatch</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>All reporting party ARN's must be identical</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         ../../xbrli:identifier[@scheme != $RPScheme]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000204</isns:Code><isns:Description>Invalid context. All Report Party scheme's must be identical.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPScheme = 'http://www.abr.gov.au/abn'                         and                         ../../xbrli:identifier/@scheme[. = $RPScheme]                         and                         ../../xbrli:identifier[. != $RPIdentifier]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000211</isns:Code><isns:Description>Reporting party ABN's mismatch</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>All reporting party ABN's must be identical</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d{2}\.\d{2}:Applicant$')]" priority="1000" mode="M50"><xsl:variable name="RPScheme" select="$RP.Context/xbrli:entity/xbrli:identifier/@scheme"/><xsl:variable name="RPIdentifier" select="$RP.Context/xbrli:entity/xbrli:identifier"/><xsl:variable name="thisApplicant" select="../../../@id"/><xsl:variable name="thisIdentifier" select="../../xbrli:identifier"/><xsl:variable name="thisScheme" select="../../xbrli:identifier/@scheme"/><xsl:variable name="isParent" select="count(../xbrldi:explicitMember) = 2"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           $RPScheme = 'http://www.abr.gov.au/abn'                           and                           $RPIdentifier = $INTTAC.Context/xbrli:entity/xbrli:identifier                         )                         or                         (                           $thisScheme = 'http://www.abr.gov.au/abn'                           and                           $thisIdentifier = $INTTAC.Context/xbrli:entity/xbrli:identifier                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000057</isns:Code><isns:Description>Invalid context. Intermediary ABN must not match any Reporting Party or Applicant ABN's.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        $thisScheme[matches(.,'^http://www.abr.gov.au/abn$')]                         and                         not($isParent)                         and                         (                           (                             $RPScheme = 'http://www.abr.gov.au/abn'                             and                                   $RPIdentifier = $thisIdentifier                           )                           or                           $APP.Context                           [                               @id != $thisApplicant                               and                               xbrli:entity/xbrli:identifier = $thisIdentifier                               and                               xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'                           ]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000205</isns:Code><isns:Description>Reporting Party or Applicant ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Invalid context. Reporting Party or Applicant ABN must not match any other Reporting Party or Applicant ABN's.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisScheme[matches(.,'^http://www.ato.gov.au/tfn$')]                         and                         not($isParent)                         and                         (                           (                             $RPScheme = 'http://www.ato.gov.au/tfn'                             and                                   $RPIdentifier = $thisIdentifier                           )                           or                           $APP.Context                           [                               @id != $thisApplicant                               and                               xbrli:entity/xbrli:identifier = $thisIdentifier                               and                               xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/tfn'                           ]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000206</isns:Code><isns:Description>Reporting Party or Applicant TFN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Invalid context. Reporting Party or Applicant TFN must not match any other Reporting Party or Applicant TFN's.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $thisScheme[matches(.,'^http://www.ato.gov.au/arn$')]                         and                         not($isParent)                         and                         (                           (                             $RPScheme = 'http://www.ato.gov.au/arn'                             and                                   $RPIdentifier = $thisIdentifier                           )                           or                           $APP.Context                           [                               @id != $thisApplicant                               and                               xbrli:entity/xbrli:identifier = $thisIdentifier                               and                               xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/arn'                           ]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000207</isns:Code><isns:Description>Reporting Party or Applicant ARN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Invalid context. Reporting Party or Applicant ARN must not match any other Reporting Party or Applicant ARN's.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template><xsl:template match="text()" priority="-1" mode="M50"/><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="*" mode="M50"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1003" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr41                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^04*'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000040</isns:Code><isns:Description>Your mobile phone number is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:ElectronicContact.Telephone.Mobile.Number</xsl:text></Location><isns:LongDescription>Your Australian mobile phone number should start with 04 and followed by 8 numeric characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $pr44rptac[matches(.,'^(.*) - (.*)$')]                           or                           $pr44inttac[matches(.,'^(.*) - (.*)$')]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000044</isns:Code><isns:Description>Declarer Contact Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr13                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^(.*)[a-zA-Z](.*)$'))                         ]                                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000045</isns:Code><isns:Description>Address Line One must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr14                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^(.*)[a-zA-Z](.*)$'))                         ]                                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000046</isns:Code><isns:Description>Address Line Two must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            $pr13[matches(upper-case(.),'^(.*)(C/-)(.*)$')] and                             not($pr14[not(@i:nil='true') and string-length(.) != 0])                          )                  "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000049</isns:Code><isns:Description>C/- must be followed by a Name and the Address on line two</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr15[matches(.,'^(.*)UNKNOWN(.*)$','i')]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000096</isns:Code><isns:Description>Locality Name cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><isns:LongDescription>When Locality Name is not known, provide last known address details, and set Address no longer correct</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr13[matches(.,'^(.*)UNKNOWN(.*)$','i')]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000100</isns:Code><isns:Description>Address Line One cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr14[matches(.,'^(.*)UNKNOWN(.*)$','i')]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000101</isns:Code><isns:Description>Addresss Line Two cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr14                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000102</isns:Code><isns:Description>Address Line Two contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr13                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000114</isns:Code><isns:Description>Address Line One contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr13                         [                           matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                           matches(.,'^(.*)( C/O | C/ | Care Of | CO )(.*)$','i') or                           matches(.,'^(.*)( C/O| C/| Care Of| CO)$','i') or                           matches(.,'^(C/O|C/|Care Of|CO)$','i')                         ]                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000128</isns:Code><isns:Description>Address field contains incorrect care of reference</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><isns:LongDescription>Address field contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr14                         [                           matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                           matches(.,'^(.*)( C/- | C/O | C/ | Care Of | CO )(.*)$','i') or                           matches(.,'^(.*)( C/-| C/O| C/| Care Of| CO)$','i') or                           matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')                         ]                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000129</isns:Code><isns:Description>Address line Two field contains care of reference</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><isns:LongDescription>Address line Two field cannot contain 'care of' reference</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr21                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000130</isns:Code><isns:Description>Questions and Issues contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingIssues.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr22                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000131</isns:Code><isns:Description>Facts Describing the Scheme or Circumstance contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingFacts.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr23                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000132</isns:Code><isns:Description>Arguments and References contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingArguments.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr40                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000139</isns:Code><isns:Description>Contact Position contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.18:PersonNameDetails.Position.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr41                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000147</isns:Code><isns:Description>Mobile Phone Number must be numeric</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:ElectronicContact.Telephone.Mobile.Number</xsl:text></Location><isns:LongDescription>Mobile Phone Number must be a numeric field, values nnnnnnnnnn where n is a digit 0 to 9 only to be used.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr52rptac                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                  or                         $pr52inttac                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000177</isns:Code><isns:Description>Client's reference contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxAgentClientReference.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr26                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000187</isns:Code><isns:Description>ATO Audit Reference Number contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.Audit.Identifier</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr31                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000188</isns:Code><isns:Description>Arrangement Period Description contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingPeriodEvent.Description</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr28                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000189</isns:Code><isns:Description>ATO Previous Ruling Reference Numbers contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.19:Tax.PrivateRulingNumber.Identifier</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $pr51rptac                       [                         not(@i:nil='true') and string-length(.) != 0                         and                         not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                       ]                       or                       $pr51inttac                       [                         not(@i:nil='true') and string-length(.) != 0                         and                         not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                       ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000190</isns:Code><isns:Description>Declarer Position held of person making the declaration contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.18:PersonNameDetails.Position.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr10                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^(.*)[a-zA-Z](.*)$'))                         ]                                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><isns:Description>Family name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr10                         [                             matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                             matches(.,'^(Exec for|Rep for|Trustee for)$','i')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><isns:Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr10                         [                             matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                             matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                             matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                             matches(.,'^(MR|MRS|MISS|MS)$','i')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><isns:Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr11                         [                             matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                             matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><isns:Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr11                         [                             matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                             matches(.,'^(Exec for|Rep for|Trustee for)$','i')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><isns:Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr11                         [                             matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                             matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                             matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                             matches(.,'^(MR|MRS|MISS|MS)$','i')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><isns:Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $pr17                           [                               not(@i:nil='true') and string-length(.) != 0                               and                               not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))                           ]                                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428041</isns:Code><isns:Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Postcode.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr10                         [                             matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                             matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><isns:Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            $pr10[matches(.,'^(.*) - (.*)$')]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><isns:Description>Family Name cannot contain "space hyphen space"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                   $pr10[matches(.,'^(.*)(--|('')('')|  )(.*)$')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><isns:Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            $pr11[matches(.,'^(.*) - (.*)$')]                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><isns:Description>First name cannot contain space hyphen space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                   $pr11[matches(.,'^(.*)(--|('')('')|  )(.*)$')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><isns:Description>First name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $pr11                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z](.*)$', 'i'))                         ]                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.436001</isns:Code><isns:Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             $pr10                             [                                 not(@i:nil='true') and string-length(.) != 0                                 and                                 matches(.,'[{}|_\\#]')                             ]                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500024</isns:Code><isns:Description>Individual Family name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             $pr11                             [                                 not(@i:nil='true') and string-length(.) != 0                                 and                                 matches(.,'[{}|_\\#]')                             ]                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500025</isns:Code><isns:Description>Individual First given name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr15                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500028</isns:Code><isns:Description>Suburb/Town/City contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr50inttac                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-_''=\[\];:&#34;,.?\s/]*$'))                         ]                         or                         $pr50rptac                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-_''=\[\];:&#34;,.?\s/]*$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500069</isns:Code><isns:Description>Declarer identifier contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(T/A )(.*)$', 'i')                          and                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410038</isns:Code><isns:Description>Non-individual name field cannot start with 'T/A' and end with 'Pship, P'ship or P/Ship'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><isns:Description>Organisation name must contain at least one alpha or numeric character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                           matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                           matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                           matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428042</isns:Code><isns:Description>Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(.*) - (.*)$')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><isns:Description>Non Individual Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)(P/L)(.*)$')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><isns:Description>Non Individual Name cannot contain "P/L"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000417</isns:Code><isns:Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'[{}|_\\#]')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500023</isns:Code><isns:Description>Non-Individual Name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^@(.*)|(.*)@$')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430222</isns:Code><isns:Description>Email address must not start or end with an @ symbol</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)[@](.*)[@](.*)$')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430223</isns:Code><isns:Description>Email address must not contain more than one @ symbol</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^\.(.*)|(.*)\.$')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430224</isns:Code><isns:Description>Email address must not start or end with a dot (.)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'\.\.')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430226</isns:Code><isns:Description>Email address must not contain more than one consecutive dots (..)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'\.@')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430227</isns:Code><isns:Description>Email address must not contain a dot followed by a @ symbol (.@)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'@\.')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430228</isns:Code><isns:Description>Email address must not contain a @ symbol followed by a dot (@.)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'@'))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430230</isns:Code><isns:Description>Email address must contain an @ symbol</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,' ')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430231</isns:Code><isns:Description>An email address must not start with a space or include a space within it</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'\.'))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430232</isns:Code><isns:Description>Email address must contain a dot (.)</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;_,.?\s/]*$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500029</isns:Code><isns:Description>Email Address contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500037</isns:Code><isns:Description>Declarer Contact Name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template><xsl:template match="text()" priority="-1" mode="M51"/><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="*" mode="M51"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr38                         [                             string-length(.) &gt; 200                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000013</isns:Code><isns:Description>Email Address must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></Location><isns:LongDescription>For Email Address, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr13                         [                             string-length(.) &gt; 38                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000020</isns:Code><isns:Description>Address line 1 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><isns:LongDescription>For Address line 1, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr14                         [                             string-length(.) &gt; 38                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000021</isns:Code><isns:Description>Address line 2 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line2.Text</xsl:text></Location><isns:LongDescription>For Address line 2, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr19                         [                             string-length(.) &gt; 15                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000023</isns:Code><isns:Description>Telephone number must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><isns:LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr41                         [                             string-length(.) &gt; 10                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000148</isns:Code><isns:Description>Mobile Phone Number must not exceed 10 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:ElectronicContact.Telephone.Mobile.Number</xsl:text></Location><isns:LongDescription>For Mobile Phone Number, the maximum allowable characters for this form is 10</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr46rptac                         [                             string-length(.) &gt; 15                         ]                         or                         $pr46inttac                         [                             string-length(.) &gt; 15                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000028</isns:Code><isns:Description>Declarer Telephone number must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><isns:LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr52rptac                         [                             string-length(.) &gt; 10                         ]                         or                         $pr52inttac                         [                             string-length(.) &gt; 10                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000176</isns:Code><isns:Description>Client's reference must not exceed 10 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxAgentClientReference.Text</xsl:text></Location><isns:LongDescription>For Client's reference, the maximum allowable characters for this form is 10</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr40                         [                             string-length(.) &gt; 50                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000185</isns:Code><isns:Description>Contact Position must not exceed 50 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.18:PersonNameDetails.Position.Text</xsl:text></Location><isns:LongDescription>For Contact Position, the maximum allowable characters for this form is 50</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr51rptac                         [                             string-length(.) &gt; 50                         ]                         or                         $pr51inttac                         [                             string-length(.) &gt; 50                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000186</isns:Code><isns:Description>Declarer position must not exceed 50 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.18:PersonNameDetails.Position.Text</xsl:text></Location><isns:LongDescription>For Declarer position, the maximum allowable characters for this form is 50</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr10                         [                             string-length(.) &gt; 30                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500016</isns:Code><isns:Description>Individual Family name must not exceed 30 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>For Individual Family name, the maximum allowable characters for this form is 30</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr11                         [                             string-length(.) &gt; 15                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500017</isns:Code><isns:Description>Individual First given name must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><isns:LongDescription>For Individual First given name, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr15                         [                             string-length(.) &gt; 27                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500020</isns:Code><isns:Description>Suburb/Town/City must not exceed 27 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><isns:LongDescription>For Locality Name, the maximum allowable characters for this form is 27</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr44rptac                         [                             string-length(.) &gt; 200                         ]                         or                         $pr44inttac                         [                             string-length(.) &gt; 200                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500055</isns:Code><isns:Description>Declarer Contact Name must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><isns:LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template><xsl:template match="text()" priority="-1" mode="M52"/><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="*" mode="M52"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M53">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr22[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000033</isns:Code><isns:Description>Facts Describing the Scheme or Circumstance must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingFacts.Description</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr15[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000035</isns:Code><isns:Description>Locality Name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr25[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000036</isns:Code><isns:Description>Subject to Audit must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.AuditRaised.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr32[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000037</isns:Code><isns:Description>Serious Consideration Indicator is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingArrangementSeriousConsideration.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr20[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000043</isns:Code><isns:Description>Main Subject Area must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingMainSubject.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr5rp[not(@i:nil='true')])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000061</isns:Code><isns:Description>GST Registered Indicator must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.18:GoodsAndServicesTax.Registered.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr21[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000062</isns:Code><isns:Description>Questions and Issues must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingIssues.Description</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                               $RPTAC.Context                               and                               not($pr50rptac[not(@i:nil='true') and string-length(.) != 0])                           )                           or                           (                                $INTTAC.Context                                and                                     not($pr50inttac[not(@i:nil='true') and string-length(.) != 0])                           )                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410114</isns:Code><isns:Description>Declaration Signatory Identifier text must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($INTTAC.Context)                              and                             not($pr51rptac[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                             $INTTAC.Context                              and                             not($pr51inttac[not(@i:nil='true') and string-length(.) != 0])                         )                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000175</isns:Code><isns:Description>Declarer Position held of person making the declaration must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.18:PersonNameDetails.Position.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr13[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500039</isns:Code><isns:Description>Address Line 1 must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($INTTAC.Context)                              and                             not($pr44rptac[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                             $INTTAC.Context                              and                             not($pr44inttac[not(@i:nil='true') and string-length(.) != 0])                         )                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500056</isns:Code><isns:Description>Declarer contact name must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           not($pr46rptac[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           not(count($INTTAC.Context) = 0 )                           and                           not($pr46inttac[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500060</isns:Code><isns:Description>Contact telephone details must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><isns:LongDescription>Declarer telephone area code and telephone number must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr48rptac[not(@i:nil='true') and string-length(.) != 0])                         and                         not($pr48inttac[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410078</isns:Code><isns:Description>Declaration Statement Accepted Indicator must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $APP.ContextId]" priority="1000" mode="M53"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($pr5app[not(@i:nil='true') and @contextRef = $thisContextId])                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000184</isns:Code><isns:Description>GST Registered Indicator must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template><xsl:template match="text()" priority="-1" mode="M53"/><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="*" mode="M53"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1007" mode="M54"><xsl:variable name="RPScheme" select="$RP.Context/xbrli:entity/xbrli:identifier/@scheme"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         ($pr16[not(@i:nil='true') and string-length(.) != 0] or $pr17[not(@i:nil='true') and string-length(.) != 0])                          and                          (                                 not($pr15[not(@i:nil='true') and string-length(.) != 0])                             or                                 (not($pr13[not(@i:nil='true') and string-length(.) != 0]) or not($pr16[not(@i:nil='true') and string-length(.) != 0]))                             or                                   not($pr17[not(@i:nil='true') and string-length(.) != 0])                         )                                                 )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000001</isns:Code><isns:Description>Australian address details incomplete</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><isns:LongDescription>For an Australian address, Street name and number, Locality Name, State or Territory Code, and Post Code are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         ($pr39[not(@i:nil='true') and string-length(.) != 0] and not($pr39 = 'au'))                          and                         (not($pr15[not(@i:nil='true') and string-length(.) != 0]) or not($pr13[not(@i:nil='true') and string-length(.) != 0]))                                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000002</isns:Code><isns:Description>Overseas address details incomplete</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.08:AddressDetails.Country.Code</xsl:text></Location><isns:LongDescription>For an overseas address, only Street name and number, Locality Name, and Country Code are required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr16[not(@i:nil='true') and string-length(.) != 0])                         and                         not($pr17[not(@i:nil='true') and string-length(.) != 0])                         and                          (not($pr39[not(@i:nil='true') and string-length(.) != 0]) or $pr39 = 'au')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000003</isns:Code><isns:Description>State and postcode are required for Australian addresses</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><isns:LongDescription>Postcode, State, and country are missing.  Determine whether the address is Australian or overseas and correct accordingly.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($pr26) &gt; 4                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000030</isns:Code><isns:Description>Maximum number of ATO Audit Reference Number is 4</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.Audit.Identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPPREV.Context                         and                         not($pr27[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000038</isns:Code><isns:Description>Sought Previous Ruling must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingSoughtPreviously.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($pr28) &gt; 4                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000047</isns:Code><isns:Description>Maximum number of ATO Previous Ruling Reference Numbers is 4</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.19:Tax.PrivateRulingNumber.Identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr5rp[matches(.,'^(true|1)$')]                         and                         (                           not($pr53rp[not(@i:nil='true') and string-length(.) != 0])                           or                           not($pr54rp[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000051</isns:Code><isns:Description>Australian Business Number for GST and ICA (Integrated Client Account) must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.18:GoodsAndServicesTax.Registered.Indicator</xsl:text></Location><isns:LongDescription>Australian Business Number for GST and ICA (Integrated Client Account) are both required when GST Registered Indicator is set to True</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr36rppar[not(function:ValidateABN(.))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000081</isns:Code><isns:Description>Parent Entity ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr29[not(@i:nil='true')])                         and                         not($pr31[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000085</isns:Code><isns:Description>Arrangement Period Description must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingArrangementPeriodStart.Date</xsl:text></Location><isns:LongDescription>Arrangement Period Description is required when Arrangement Start Date is not provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr25[matches(.,'^(true|1)$')]                         and                         count($pr26) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000090</isns:Code><isns:Description>At least one ATO Audit Reference Number must be provided if Subject to Audit is true</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.AuditRaised.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr16[not(@i:nil='true')]                         and                         not($pr17[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000105</isns:Code><isns:Description>Postcode must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><isns:LongDescription>State is present in the address field without a postcode.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr18[not(@i:nil='true')]                         and                         not($pr19[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000106</isns:Code><isns:Description>Telephone number required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Telephone area code number is present without Telephone number.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr18[not(@i:nil='true')])                         and                         $pr19[not(@i:nil='true')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000107</isns:Code><isns:Description>Telephone area code required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><isns:LongDescription>Telephone number is present without Telephone area code.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr17[not(@i:nil='true')]                         and                         not($pr16[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000120</isns:Code><isns:Description>State must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Postcode.Text</xsl:text></Location><isns:LongDescription>Postcode is present in the address field without a State code.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr8[matches(.,'^(true|1)$')]                         and                         count($APP.Context) &lt; 9                         and                         (                           (                             not($INTTAC.Context)                             and                             $pr43rptac[not(@i:nil='true') and string-length(.) != 0]                           )                           or                           (                             $INTTAC.Context                             and                             $pr43inttac[not(@i:nil='true') and string-length(.) != 0]                           )                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000121</isns:Code><isns:Description>Details of the first 10 clients must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.25:Interaction.AdditionalEntities.Indicator</xsl:text></Location><isns:LongDescription>When Additional Clients Indicator is set to 'Yes' (true), the details of the first 10 clients must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr27[matches(.,'^(true|1)$')]                         and                         count($pr28) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000123</isns:Code><isns:Description>Mandatory to provide at least one ATO Previous Ruling Refernce Numbers if Sought Previous Ruling is Yes</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingSoughtPreviously.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr29[not(@i:nil='true')])                         and                         $pr30[not(@i:nil='true')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000182</isns:Code><isns:Description>Arrangement Start Date required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingArrangementPeriodEnd.Date</xsl:text></Location><isns:LongDescription>Arrangement End Date is present without Arrangement Start Date.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr10[not(@i:nil='true') and string-length(.) != 0])                         and                         not($pr12[not(@i:nil='true') and string-length(.) != 0])                         and                         not($pr40[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000192</isns:Code><isns:Description>Individual or Non-individual details must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>Either the Individual Family name must be provided for individuals or the Non-Individual Name must be provided for non-individuals. For non-individuals, Individual Family name and Contact position may also be provided.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (not($pr10[not(@i:nil='true') and string-length(.) != 0]) or not($pr12[not(@i:nil='true') and string-length(.) != 0]))                         and                           ($pr40[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000193</isns:Code><isns:Description>Non-individual details are incomplete</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>When a Contact Position is provided, indicating a private ruling submission by a non-individual, then both Individual Family name (for contact) and Non-individual Name are required.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         ($pr12[not(@i:nil='true') and string-length(.) != 0])                         and                         ($pr10[not(@i:nil='true') and string-length(.) != 0])                         and                         not($pr40[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000230</isns:Code><isns:Description>Non-individual details are incomplete</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>When both Individual Family name and Non-individual Name are provided, indicating a private ruling submission by a non-individual, then Contact position is also required.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr29[not(@i:nil='true')] and $pr30[not(@i:nil='true')]                         and                         function:IsDate1GreaterThanDate2($pr29, $pr30)                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000183</isns:Code><isns:Description>Arrangement Start Date must be prior to Arrangement End Date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.21:Tax.PrivateRulingArrangementPeriodStart.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr9[not(@i:nil='true') and string-length(.) != 0]                         and                         not($pr10[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000470</isns:Code><isns:Description>Title is provided without Family Name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($pr10[not(@i:nil='true') and string-length(.) != 0])                         and                         $pr11[not(@i:nil='true') and string-length(.) != 0]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000471</isns:Code><isns:Description>First name is provided without Family name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr48rptac                           [                             not(@i:nil='true') and string-length(.) != 0                             and                              matches(.,'^(false|0)$')                           ]                         or                         $pr48inttac                           [                             not(@i:nil='true') and string-length(.) != 0                             and                              matches(.,'^(false|0)$')                           ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410128</isns:Code><isns:Description>Declaration Statement Accepted Indicator must be 'TRUE'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           not($pr39[not(@i:nil='true') and string-length(.) != 0])                          or                            $pr39[matches(.,'^(au)$')])                          and                         $pr15[matches(.,'(.*)[0-9](.*)')]                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500000</isns:Code><isns:Description>Suburb/Town/City must not contain numeric characters when an Australian address is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($pr39[not(@i:nil='true') and string-length(.) != 0])                             or                             $pr39 = 'au'                         )                         and                         $pr15[not(@i:nil='true') and string-length(.) != 0]                         and                         $pr15[matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500010</isns:Code><isns:Description>Suburb/Town/City must not contain state code when an Australian address is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                            not($pr47rptac[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           not(count($INTTAC.Context) = 0)                           and                            not($pr47inttac[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.307004</isns:Code><isns:Description>Declaration Signature Date is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><isns:LongDescription>Intermediary or Report Party declaration signatory date is required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           $pr45rptac[not(@i:nil='true') and string-length(.) != 0]                           and                           not($pr46rptac[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           not(count($INTTAC.Context) = 0 )                           and                           $pr45inttac[not(@i:nil='true') and string-length(.) != 0]                           and                           not($pr46inttac[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500061</isns:Code><isns:Description>Telephone number is required, if an area code is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         ($pr39[not(@i:nil='true') and string-length(.) != 0] and not($pr39 = 'au'))                          and                         ($pr16[not(@i:nil='true') and string-length(.) != 0] or $pr17[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500011</isns:Code><isns:Description>State and postcode must not be present for non-Australian addresses</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.08:AddressDetails.Country.Code</xsl:text></Location><isns:LongDescription>Country name is present with State or postcode in the address field.  Determine whether the address is Australian or overseas and correct accordingly.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           $pr46rptac[not(@i:nil='true') and string-length(.) != 0]                           and                           not($pr45rptac[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           not(count($INTTAC.Context) = 0 )                           and                           $pr46inttac[not(@i:nil='true') and string-length(.) != 0]                           and                           not($pr45inttac[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000174</isns:Code><isns:Description>Declarer Telephone Area code is required, if a Declarer Telephone number is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr53rp[not(function:ValidateABN(.))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000224</isns:Code><isns:Description>Australian Business Number for GST is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr53app[not(function:ValidateABN(.))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000225</isns:Code><isns:Description>Australian Business Number for GST is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1006" mode="M54"><xsl:variable name="ucName" select="upper-case(.)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(                               $ucName = '2LT' or                               $ucName = 'AB' or                               $ucName = 'ABBOT' or                               $ucName = 'AC' or                               $ucName = 'ACM' or                               $ucName = 'ADM' or                               $ucName = 'AIR CDRE' or                               $ucName = 'ALDERMAN' or                               $ucName = 'AM' or                               $ucName = 'ARCHBISHOP' or                               $ucName = 'ARCHDEACON' or                               $ucName = 'ASSOC PROF' or                               $ucName = 'AVM' or                               $ucName = 'BARON' or                               $ucName = 'BARONESS' or                               $ucName = 'BISHOP' or                               $ucName = 'BR' or                               $ucName = 'BRIG' or                               $ucName = 'CANON' or                               $ucName = 'CAPT' or                               $ucName = 'CARDINAL' or                               $ucName = 'CDRE' or                               $ucName = 'CDT' or                               $ucName = 'CHAP' or                               $ucName = 'CMDR' or                               $ucName = 'CMM' or                               $ucName = 'COL' or                               $ucName = 'CONST' or                               $ucName = 'COUNT' or                               $ucName = 'COUNTESS' or                               $ucName = 'CPL' or                               $ucName = 'CPO' or                               $ucName = 'DAME' or                               $ucName = 'DEACON' or                               $ucName = 'DEACONESS' or                               $ucName = 'DEAN' or                               $ucName = 'DEPUTY SUPT' or                               $ucName = 'DR' or                               $ucName = 'DUCHESS' or                               $ucName = 'DUKE' or                               $ucName = 'EARL' or                               $ucName = 'EF' or                               $ucName = 'FLGOFF' or                               $ucName = 'FLT LT' or                               $ucName = 'FR' or                               $ucName = 'FSGT' or                               $ucName = 'GEN' or                               $ucName = 'GNR' or                               $ucName = 'GP CAPT' or                               $ucName = 'HON' or                               $ucName = 'HON JUDGE' or                               $ucName = 'HON JUST' or                               $ucName = 'HRH' or                               $ucName = 'INSP' or                               $ucName = 'JUDGE' or                               $ucName = 'JUST' or                               $ucName = 'LAC' or                               $ucName = 'LACW' or                               $ucName = 'LADY' or                               $ucName = 'LBDR' or                               $ucName = 'LCPL' or                               $ucName = 'LORD' or                               $ucName = 'LS' or                               $ucName = 'LT' or                               $ucName = 'LT CMDR' or                               $ucName = 'LT COL' or                               $ucName = 'LT GEN' or                               $ucName = 'MADAM' or                               $ucName = 'MAJ' or                               $ucName = 'MAJ GEN' or                               $ucName = 'MASTER' or                               $ucName = 'MATRON' or                               $ucName = 'MAYOR' or                               $ucName = 'MAYORESS' or                               $ucName = 'MIDN' or                               $ucName = 'MISS' or                               $ucName = 'MON' or                               $ucName = 'MOST REV' or                               $ucName = 'MR' or                               $ucName = 'MRS' or                               $ucName = 'MS' or                               $ucName = 'PASTOR' or                               $ucName = 'PATRIARCH' or                               $ucName = 'PLT OFF' or                               $ucName = 'PO' or                               $ucName = 'PRIOR' or                               $ucName = 'PROF' or                               $ucName = 'PTE' or                               $ucName = 'RABBI' or                               $ucName = 'RADM' or                               $ucName = 'RECTOR' or                               $ucName = 'REV' or                               $ucName = 'RF' or                               $ucName = 'RT HON' or                               $ucName = 'RT REV' or                               $ucName = 'RTREV BISHOP' or                               $ucName = 'RT REV MON' or                               $ucName = 'SBLT' or                               $ucName = 'SEN' or                               $ucName = 'SGT' or                               $ucName = 'SIR' or                               $ucName = 'SMN' or                               $ucName = 'SNR CONST' or                               $ucName = 'SQN LDR' or                               $ucName = 'SR' or                               $ucName = 'SSGT' or                               $ucName = 'SUPR' or                               $ucName = 'SWAMI' or                               $ucName = 'TF' or                               $ucName = 'VADM' or                               $ucName = 'VERY REV' or                               $ucName = 'VICAR' or                               $ucName = 'VISCOUNT' or                               $ucName = 'WG CDR' or                               $ucName = 'WO' or                               $ucName = 'WO1' or                               $ucName = 'WO2'                             )                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000459</isns:Code><isns:Description>Title is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true') and string-length(.) != 0]" priority="1005" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428036</isns:Code><isns:Description>Invalid State code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS)</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/rvctc3.02.21:Tax.PrivateRulingMainSubject.Code[not(@i:nil='true') and string-length(.) != 0]" priority="1004" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(                               . = 'Am I a resident?' or                               . = 'Am I carrying on a business?' or                               . = 'Capital gains business (for example, land subdivision, active asset test and unit sales)' or                               . = 'Capital gains individuals (for example, share sales, marriage breakdown and deceased estates)' or                               . = 'Eligible termination payment' or                               . = 'Employee vs Contractor' or                               . = 'Fringe benefits tax or withholding tax' or                               . = 'Fuel tax credit' or                               . = 'Goods and services tax' or                               . = 'Income tax - individuals not in business' or                               . = 'Income tax - non-commercial losses or business (including superannuation funds)' or                               . = 'Lodgment, Payment, Accounting, Registrations' or                               . = 'Luxury car tax' or                               . = 'Other superannuation subjects' or                               . = 'Personal superannuation deductions' or                               . = 'Product grants or benefits' or                               . = 'Undeducted purchase price' or                               . = 'Wine equalisation tax' or                               . = 'Subject not covered' or                               . = 'Alcohol excise' or                               . = 'Petroleum excise' or                               . = 'Tobacco excise'                            )                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000048</isns:Code><isns:Description>Invalid Main Subject Area</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Value entered is not a valid code/value for that field. </isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]" priority="1003" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430255</isns:Code><isns:Description>Signature date must not be later than today</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M54">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(function:ValidateTAN(.))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410009</isns:Code><isns:Description>The Tax Agent number has failed the Tax Agent number algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $APP.ContextId]" priority="1001" mode="M54"><xsl:variable name="thisContextId" select="@id"/><xsl:variable name="thisIdentifier" select="xbrli:entity/xbrli:identifier"/><xsl:variable name="thisScheme" select="xbrli:entity/xbrli:identifier/@scheme"/><xsl:variable name="thisParent" select="$APPPAR.Context[xbrli:entity/xbrli:identifier = $thisIdentifier and xbrli:entity/xbrli:identifier/@scheme = $thisScheme]/@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($thisParent) &gt; 1                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000200</isns:Code><isns:Description>Invalid context. The number of Applicant Parent contexts must not exceed 1 for each Applicant context.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr5app[matches(.,'^(true|1)$') and @contextRef = $thisContextId]                         and                         (                           not($pr53app[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                           or                           not($pr54app[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000213</isns:Code><isns:Description>Australian Business Number for GST and ICA (Integrated Client Account) must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.18:GoodsAndServicesTax.Registered.Indicator</xsl:text></Location><isns:LongDescription>Australian Business Number for GST and ICA (Integrated Client Account) are both required when GST Registered Indicator is set to True</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pr36apppar[not(function:ValidateABN(.))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000217</isns:Code><isns:Description>Parent Entity ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $APPPAR.ContextId]" priority="1000" mode="M54"><xsl:variable name="thisContextId" select="@id"/><xsl:variable name="thisIdentifier" select="xbrli:entity/xbrli:identifier"/><xsl:variable name="thisScheme" select="xbrli:entity/xbrli:identifier/@scheme"/><xsl:variable name="thisChild" select="$APP.Context[xbrli:entity/xbrli:identifier/@scheme = $thisScheme and xbrli:entity/xbrli:identifier = $thisIdentifier]/@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($thisChild) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PR.000216</isns:Code><isns:Description>Invalid context. For each Applicant Parent context provided, there must be a matching Applicant context.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M54"/></xsl:template><xsl:template match="text()" priority="-1" mode="M54"/><xsl:template match="@*|node()" priority="-2" mode="M54"><xsl:apply-templates select="*" mode="M54"/></xsl:template>

<!--
                PATTERN WarningsValidations for warnings that are applicable accross all PR services.-->
<xsl:template match="text()" priority="-1" mode="M55"/><xsl:template match="@*|node()" priority="-2" mode="M55"><xsl:apply-templates select="*" mode="M55"/></xsl:template></xsl:stylesheet>